## Apache Zeta Components Manual :: Docs For Class ezcSearchSimpleArticle

### Search::ezcSearchSimpleArticle

### Class ezcSearchSimpleArticle

A sample definition for indexing articles.

Source for this file: /Search/src/extractors/helpers/simple.php

### Implements interfaces:

- ezcSearchDefinitionProvider
- ezcBasePersistable

Version: | //autogentag//

### Member Variables

public string | `$body` Article body.
public string | `$id` Id for the article.
public DateTime | `$published` Published date for the article.
public string | `$title` Article title.
public string | `$type` Article type.
public string | `$url` URL for the article.

### Method Summary

public static ezcSearchDocumentDefinition | `getDefinition( )` Returns the definition of this class.
public ezcSearchSimpleArticle | `__construct( [ $id = null] , [ $title = null] , [ $body = null] , [ $published = null] , [ $url = null] , [ $type = null] )` Constructs a new image definition.
public array(string=>string) | `getState( )` Returns the state of this definition as an array.
public void | `setState( $state )` Sets the state of this definition.

### Methods

#### getDefinition

static ezcSearchDocumentDefinition getDefinition( )

Returns the definition of this class.

##### Implementation of:

Method | Description
--- | ---
`ezcSearchDefinitionProvider::getDefinition()` | Returns the definition for the document.

#### __construct

ezcSearchSimpleArticle __construct( [string $id = null] , [string $title = null] , [string $body = null] , [DateTime $published = null] , [string $url = null] , [string $type = null] )

Constructs a new image definition.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$id` | string |
`$title` | string |
`$body` | string |
`$published` | DateTime |
`$url` | string |
`$type` | string |

#### getState

array(string=>string) getState( )

Returns the state of this definition as an array.

#### setState

void setState( $state )

Sets the state of this definition.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$state` | array(string=>string) |

Documentation generated by phpDocumentor 1.4.3